VFS_VGET(9)

NAME
VFS_VGET - convert an inode number to a vnode

SYNOPSIS
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_VGET(struct mount *mp, ino_t ino, struct vnode **vpp);

DESCRIPTION
This converts an inode number into a locked vnode.

Its arguments are:

mp  The filesystem.

ino The inode representing the file.

vpp Return parameter for the vnode.

This is an optional filesystem entrypoint for filesystems which have a unique id number for every file in the filesystem. It is used internally by the UFS filesystem and also by the NFSv3 server to implement the READDIRPLUS nfs call.

If the filesystem does not support this call, then it should return EOPNOTSUPP.

SEE ALSO
vnode(9), VFS(9)

AUTHORS
This man page was written by Doug Rabson.